Grand Master Ramos:
To become an Elven Knight, you must prove your ability. That has always been the job of Master Sorius, who lives in the town of Gludio. He has taught Elven Knights for a long time, and he give you the test appropriate for you. You should bring back the Elven Knight brooch which he will give you when you pass his test. You can reach the town of Gludio by following the road east from this village. Of course, using a Gatekeeper is faster. In Gludio, go to the Warrior Guild and look for Master Sorius.
Return